Skip to main content
GET
/
clients
/
me
/
integrations
/
0x
/
cross-chain
/
tx-history
Get cross-chain transaction history
curl --request GET \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/0x/cross-chain/tx-history \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "rawResponse": {
      "transactions": [
        {
          "originChain": "<string>",
          "originTx": "<string>",
          "destinationChain": "<string>",
          "destinationTx": "<string>",
          "status": "<string>",
          "bridge": "<string>"
        }
      ],
      "pagination": {
        "limit": 123,
        "nextCursor": "<string>",
        "hasMore": true
      },
      "zid": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.portalhq.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Query Parameters

user
string
required

The wallet address to get history for.

limit
integer
default:20

Maximum number of transactions to return.

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from a previous response.

zeroXApiKey
string

Optional 0x API key.

Response

200 - application/json

Transaction history retrieved successfully

data
object